{
  "summary": {
    "generated_at": "2026-01-05T07:15:11Z",
    "total_nodes": 12,
    "reachable_count": 12,
    "authorized_ok_count": 12,
    "chainid_match_count": 12,
    "netversion_match_count": 12,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 327.2164379886817,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 57.95361711716396
      },
      "timings_ms": {
        "eth_chainId": 64.26128497696482,
        "net_version": 31.56488700187765,
        "web3_clientVersion": 45.846786990296096,
        "eth_blockNumber": 36.48762000375427,
        "eth_syncing": 36.816249979892746,
        "net_peerCount": 60.159215005114675,
        "eth_getBlockByNumber_latest": 73.03130099899136,
        "eth_gasPrice": 115.46159198042005,
        "txpool_status": 62.405712000327185
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 266.7440029908903,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 48.78024787103641
      },
      "timings_ms": {
        "eth_chainId": 24.58033198490739,
        "net_version": 40.055963007034734,
        "web3_clientVersion": 76.5129690116737,
        "eth_blockNumber": 45.4303769802209,
        "eth_syncing": 40.838213986717165,
        "net_peerCount": 54.10161800682545,
        "eth_getBlockByNumber_latest": 39.78197299875319,
        "eth_gasPrice": 68.94053699215874,
        "txpool_status": 19.68364301137626
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 299.6368969907053,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 30.98356213013176
      },
      "timings_ms": {
        "eth_chainId": 23.670514987315983,
        "net_version": 22.107760014478117,
        "web3_clientVersion": 25.457367999479175,
        "eth_blockNumber": 19.143348996294662,
        "eth_syncing": 32.30677201645449,
        "net_peerCount": 33.95487600937486,
        "eth_getBlockByNumber_latest": 25.76889900956303,
        "eth_gasPrice": 65.45895800809376,
        "txpool_status": 18.271772016305476
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 292.66236699186265,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x0",
        "peer_count": 0,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 12.733137129544048
      },
      "timings_ms": {
        "eth_chainId": 7.0705380057916045,
        "net_version": 22.351728985086083,
        "web3_clientVersion": 8.070413023233414,
        "eth_blockNumber": 6.92921900190413,
        "eth_syncing": 16.249567008344457,
        "net_peerCount": 8.94327400601469,
        "eth_getBlockByNumber_latest": 8.225266996305436,
        "eth_gasPrice": 24.025090009672567,
        "txpool_status": 25.458540010731667
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 265.55613399250433,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x0",
        "peer_count": 0,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 32.91575750336051
      },
      "timings_ms": {
        "eth_chainId": 33.035963017027825,
        "net_version": 21.9699940062128,
        "web3_clientVersion": 28.832050011260435,
        "eth_blockNumber": 34.641355014173314,
        "eth_syncing": 32.135099987499416,
        "net_peerCount": 40.35715700592846,
        "eth_getBlockByNumber_latest": 30.61682599945925,
        "eth_gasPrice": 41.73761498532258,
        "txpool_status": 19.350656017195433
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 265.9719759831205,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x0",
        "peer_count": 0,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 26.893736627243925
      },
      "timings_ms": {
        "eth_chainId": 34.265849011717364,
        "net_version": 17.886009998619556,
        "web3_clientVersion": 19.552743004169315,
        "eth_blockNumber": 20.81832499243319,
        "eth_syncing": 12.127602007240057,
        "net_peerCount": 24.171021999791265,
        "eth_getBlockByNumber_latest": 59.66895801248029,
        "eth_gasPrice": 26.659383991500363,
        "txpool_status": 12.372667988529429
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 287.512125010835,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 28.869528374343645
      },
      "timings_ms": {
        "eth_chainId": 14.700266998261213,
        "net_version": 36.122315999818966,
        "web3_clientVersion": 22.090601007221267,
        "eth_blockNumber": 27.68157300306484,
        "eth_syncing": 14.442073996178806,
        "net_peerCount": 45.282647013664246,
        "eth_getBlockByNumber_latest": 15.629300993168727,
        "eth_gasPrice": 55.007447983371094,
        "txpool_status": 21.262716996716335
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 322.0887829957064,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 41.43931161524961
      },
      "timings_ms": {
        "eth_chainId": 61.28175399499014,
        "net_version": 34.31494298274629,
        "web3_clientVersion": 11.46348298061639,
        "eth_blockNumber": 24.89921299275011,
        "eth_syncing": 23.01123397774063,
        "net_peerCount": 65.94043300719932,
        "eth_getBlockByNumber_latest": 27.76626599370502,
        "eth_gasPrice": 82.83716699224897,
        "txpool_status": 18.966906995046884
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 446.5782049810514,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 54.31667274751817
      },
      "timings_ms": {
        "eth_chainId": 25.83697100635618,
        "net_version": 71.7159709893167,
        "web3_clientVersion": 139.3846900027711,
        "eth_blockNumber": 27.42106799269095,
        "eth_syncing": 63.488435989711434,
        "net_peerCount": 12.507303996244445,
        "eth_getBlockByNumber_latest": 24.761535023571923,
        "eth_gasPrice": 69.41740697948262,
        "txpool_status": 20.20676399115473
      }
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 281.8718160269782,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 61.253808376932284
      },
      "timings_ms": {
        "eth_chainId": 211.10513099119999,
        "net_version": 34.839755011489615,
        "web3_clientVersion": 30.720759998075664,
        "eth_blockNumber": 15.339238016167656,
        "eth_syncing": 14.453195995884016,
        "net_peerCount": 18.43204299802892,
        "eth_getBlockByNumber_latest": 15.54656500229612,
        "eth_gasPrice": 149.5937790023163,
        "txpool_status": 27.716848999261856
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 284.59493099944666,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 40.03697448933963
      },
      "timings_ms": {
        "eth_chainId": 17.11078398511745,
        "net_version": 18.31760400091298,
        "web3_clientVersion": 25.431772985029966,
        "eth_blockNumber": 24.60037198034115,
        "eth_syncing": 29.285096999956295,
        "net_peerCount": 26.723486982518807,
        "eth_getBlockByNumber_latest": 66.89402999472804,
        "eth_gasPrice": 111.93264898611233,
        "txpool_status": 48.47350902855396
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 428.1582969997544,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 130.6857981326175
      },
      "timings_ms": {
        "eth_chainId": 123.20740500581451,
        "net_version": 146.83484702254646,
        "web3_clientVersion": 77.6353920227848,
        "eth_blockNumber": 55.54507000488229,
        "eth_syncing": 106.0646940022707,
        "net_peerCount": 82.32635800959542,
        "eth_getBlockByNumber_latest": 35.72021401487291,
        "eth_gasPrice": 418.15240497817285,
        "txpool_status": 50.46341000706889
      }
    }
  ]
}